{% extends "base_device.yaml.jinja2" %}

{% block device_setup %}

{%- set os_url = "https://gitlab.com/Linaro/trustedsubstrate/ts-testing/-/jobs/artifacts/main/raw/image/efiboot.wic.xz?job=build" %}
{%- set os_filename = os_url.split('/')[-1].split('?')[0] %}
{%- set os, os_extension = splitext(os_filename) %}

device_type: kv260

job_name: {{ lava_job_name }}

timeouts:
  job:
    minutes: 60
  action:
    minutes: 20
  connection:
    minutes: 20

priority: medium

visibility: public

context:
  lava_test_results_dir: /var/lib/lava-%s
  test_character_delay: 30

actions:

- deploy:
    failure_retry: 3
    timeout:
      minutes: 60
    to: flasher
    images:
      ImageA:
        {%- set _, firmware_extension = splitext(firmware_url["ImageA.bin.gz"]) %}
        url: {{ firmware_url["ImageA.bin.gz"] }}
        compression: {{ firmware_extension[1:] }}
      ImageB:
        {%- set _, firmware_extension = splitext(firmware_url["ImageB.bin.gz"]) %}
        url: {{ firmware_url["ImageB.bin.gz"] }}
        compression: {{ firmware_extension[1:] }}
      sd:
        url: {{ os_url }}
        compression: {{ os_extension[1:] }}

- boot:
    timeout:
      minutes: 15
    method: minimal

- boot:
    timeout:
      minutes: 15
    method: minimal
    reset: false
    prompts:
      - root@(.*):[/~]#
    auto_login:
      login_prompt: "login:"
      username: "root"
    transfer_overlay:
      download_command: wget -t 20
      unpack_command: tar -C /var/lib/ -xzvf

{% endblock %}
